- Qt 6.11
- Qt 3D
- QML Types
- Qt3D.Extras (Deprecated)
- SphereGeometryView
- Qt 6.11.1 Reference Documentation

# SphereGeometryView QML Type

A spherical mesh. More...

Import Statement: | `import Qt3D.Extras 2.11`
Status: | Deprecated

- List of all members, including inherited members

## Properties

- generateTangents : bool
- radius : real
- rings : int
- slices : int

## Detailed Description

## Property Documentation

### generateTangents : bool

Holds the value of the automatic tangent vectors generation flag. Tangent vectors are orthogonal to normal vectors.

### radius : real

Holds the radius of the sphere.

### rings : int

Holds the number of rings in the mesh.

### slices : int

Holds the number of slices in the mesh.